Debian Bug report logs - #620550
gdbm_ symbol conflicts in QDBM break GDBM in other packages

version graph

Package: libqdbm14; Maintainer for libqdbm14 is KURASHIKI Satoru <lurdan@gmail.com>; Source for libqdbm14 is src:qdbm.

Reported by: Keith Lawson <keith.lawson@sjhc.london.on.ca>

Date: Sat, 2 Apr 2011 16:30:02 UTC

Severity: critical

Fixed in version qdbm/1.8.78-1

Done: KURASHIKI Satoru <lurdan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-perl2. (Sat, 02 Apr 2011 16:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Lawson <keith.lawson@sjhc.london.on.ca>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 02 Apr 2011 16:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Keith Lawson <keith.lawson@sjhc.london.on.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libapache2-mod-perl2: Perl tie() interface does not work after dist-upgrade from lenny -> squeeze
Date: Sat, 02 Apr 2011 12:10:05 -0400
Package: libapache2-mod-perl2
Version: 2.0.4-7
Severity: important


After upgrading from lenny to squeeze calls to tie() from code running in mod_perl 2 are failing. 

The following code works fine from the command line but the tie() fails silently when running in mod_perl 2:

print STDERR "$0: GDBM_File::VERSION is $GDBM_File::VERSION\n";
sleep 1;
my %sec;
tie(%sec,'GDBM_File',$secdbf,GDBM_READER,0640);
print STDERR "$0: key: $_\n" foreach keys %sec;
untie %sec; 

The tie fails for both GDBM and MLDBM databases. 

We've been unable to reproduce this error on systems that were installed from the latest squeeze CDs, it only 
happens on systems that were migrated from lenny to squeeze. 

As a troubleshooting measure I added print statements to gdbm_open() in gdbmopen.c and installed my own 
compiled version of the GDBM library but gdbm_open() is never called. Straces from systems that are not working
confirm that. 


-- Package-specific info:
-------------8<---------- Start Bug Report ------------8<----------
1. Problem Description:

  [DESCRIBE THE PROBLEM HERE]

2. Used Components and their Configuration:

*** mod_perl version 2.000004

*** using /usr/lib/perl5/Apache2/BuildConfig.pm

*** Makefile.PL options:
  MP_APR_LIB     => aprext
  MP_APXS        => /usr/bin/apxs2
  MP_CCOPTS      => -g -Wall
  MP_COMPAT_1X   => 1
  MP_GENERATE_XS => 1
  MP_INCLUDE_DIR => /usr/include/apache2 /usr/include/apr-1.0
  MP_LIBNAME     => mod_perl
  MP_TRACE       => 0
  MP_USE_DSO     => 1
  MP_USE_GTOP    => 1
  MP_USE_STATIC  => 0


*** The httpd binary was not found


*** (apr|apu)-config linking info

(apr|apu)-config scripts were not found



*** /usr/bin/perl -V
Summary of my perl5 (revision 5 version 10 subversion 1) configuration:
   
  Platform:
    osname=linux, osvers=2.6.32.27-dsa-ia32, archname=i486-linux-gnu-thread-multi
    uname='linux murphy 2.6.32.27-dsa-ia32 #1 smp mon dec 13 11:15:55 cet 2010 i686 gnulinux '
    config_args='-Dusethreads -Duselargefiles -Dccflags=-DDEBIAN -Dcccdlflags=-fPIC -Darchname=i486-linux-gnu -Dprefix=/usr -Dprivlib=/usr/share/perl/5.10 -Darchlib=/usr/lib/perl/5.10 -Dvendorprefix=/usr -Dvendorlib=/usr/share/perl5 -Dvendorarch=/usr/lib/perl5 -Dsiteprefix=/usr/local -Dsitelib=/usr/local/share/perl/5.10.1 -Dsitearch=/usr/local/lib/perl/5.10.1 -Dman1dir=/usr/share/man/man1 -Dman3dir=/usr/share/man/man3 -Dsiteman1dir=/usr/local/man/man1 -Dsiteman3dir=/usr/local/man/man3 -Dman1ext=1 -Dman3ext=3perl -Dpager=/usr/bin/sensible-pager -Uafs -Ud_csh -Ud_ualarm -Uusesfio -Uusenm -DDEBUGGING=-g -Doptimize=-O2 -Duseshrplib -Dlibperl=libperl.so.5.10.1 -Dd_dosuid -des'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=undef, use64bitall=undef, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2 -g',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.4.5', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=4, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /lib /usr/lib /usr/lib64
    libs=-lgdbm -lgdbm_compat -ldb -ldl -lm -lpthread -lc -lcrypt
    perllibs=-ldl -lm -lpthread -lc -lcrypt
    libc=/lib/libc-2.11.2.so, so=so, useshrplib=true, libperl=libperl.so.5.10.1
    gnulibc_version='2.11.2'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -g -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP USE_ITHREADS
                        USE_LARGE_FILES USE_PERLIO USE_REENTRANT_API
  Locally applied patches:
	DEBPKG:debian/arm_thread_stress_timeout - http://bugs.debian.org/501970 Raise the timeout of ext/threads/shared/t/stress.t to accommodate slower build hosts
	DEBPKG:debian/cpan_config_path - Set location of CPAN::Config to /etc/perl as /usr may not be writable.
	DEBPKG:debian/cpan_definstalldirs - Provide a sensible INSTALLDIRS default for modules installed from CPAN.
	DEBPKG:debian/db_file_ver - http://bugs.debian.org/340047 Remove overly restrictive DB_File version check.
	DEBPKG:debian/doc_info - Replace generic man(1) instructions with Debian-specific information.
	DEBPKG:debian/enc2xs_inc - http://bugs.debian.org/290336 Tweak enc2xs to follow symlinks and ignore missing @INC directories.
	DEBPKG:debian/errno_ver - http://bugs.debian.org/343351 Remove Errno version check due to upgrade problems with long-running processes.
	DEBPKG:debian/extutils_hacks - Various debian-specific ExtUtils changes
	DEBPKG:debian/fakeroot - Postpone LD_LIBRARY_PATH evaluation to the binary targets.
	DEBPKG:debian/instmodsh_doc - Debian policy doesn't install .packlist files for core or vendor.
	DEBPKG:debian/ld_run_path - Remove standard libs from LD_RUN_PATH as per Debian policy.
	DEBPKG:debian/libnet_config_path - Set location of libnet.cfg to /etc/perl/Net as /usr may not be writable.
	DEBPKG:debian/m68k_thread_stress - http://bugs.debian.org/495826 Disable some threads tests on m68k for now due to missing TLS.
	DEBPKG:debian/mod_paths - Tweak @INC ordering for Debian
	DEBPKG:debian/module_build_man_extensions - http://bugs.debian.org/479460 Adjust Module::Build manual page extensions for the Debian Perl policy
	DEBPKG:debian/perl_synopsis - http://bugs.debian.org/278323 Rearrange perl.pod
	DEBPKG:debian/prune_libs - http://bugs.debian.org/128355 Prune the list of libraries wanted to what we actually need.
	DEBPKG:debian/use_gdbm - Explicitly link against -lgdbm_compat in ODBM_File/NDBM_File. 
	DEBPKG:fixes/assorted_docs - http://bugs.debian.org/443733 [384f06a] Math::BigInt::CalcEmu documentation grammar fix
	DEBPKG:fixes/net_smtp_docs - http://bugs.debian.org/100195 [rt.cpan.org #36038] Document the Net::SMTP 'Port' option
	DEBPKG:fixes/processPL - http://bugs.debian.org/357264 [rt.cpan.org #17224] Always use PERLRUNINST when building perl modules.
	DEBPKG:debian/perlivp - http://bugs.debian.org/510895 Make perlivp skip include directories in /usr/local
	DEBPKG:fixes/pod2man-index-backslash - http://bugs.debian.org/521256 Escape backslashes in .IX entries
	DEBPKG:debian/disable-zlib-bundling - Disable zlib bundling in Compress::Raw::Zlib
	DEBPKG:fixes/kfreebsd_cppsymbols - http://bugs.debian.org/533098 [3b910a0] Add gcc predefined macros to $Config{cppsymbols} on GNU/kFreeBSD.
	DEBPKG:debian/cpanplus_definstalldirs - http://bugs.debian.org/533707 Configure CPANPLUS to use the site directories by default.
	DEBPKG:debian/cpanplus_config_path - Save local versions of CPANPLUS::Config::System into /etc/perl.
	DEBPKG:fixes/kfreebsd-filecopy-pipes - http://bugs.debian.org/537555 [16f708c] Fix File::Copy::copy with pipes on GNU/kFreeBSD
	DEBPKG:fixes/anon-tmpfile-dir - http://bugs.debian.org/528544 [perl #66452] Honor TMPDIR when open()ing an anonymous temporary file
	DEBPKG:fixes/abstract-sockets - http://bugs.debian.org/329291 [89904c0] Add support for Abstract namespace sockets.
	DEBPKG:fixes/hurd_cppsymbols - http://bugs.debian.org/544307 [eeb92b7] Add gcc predefined macros to $Config{cppsymbols} on GNU/Hurd.
	DEBPKG:fixes/autodie-flock - http://bugs.debian.org/543731 Allow for flock returning EAGAIN instead of EWOULDBLOCK on linux/parisc
	DEBPKG:fixes/archive-tar-instance-error - http://bugs.debian.org/539355 [rt.cpan.org #48879] Separate Archive::Tar instance error strings from each other
	DEBPKG:fixes/positive-gpos - http://bugs.debian.org/545234 [perl #69056] [c584a96] Fix \G crash on first match
	DEBPKG:debian/devel-ppport-ia64-optim - http://bugs.debian.org/548943 Work around an ICE on ia64
	DEBPKG:fixes/trie-logic-match - http://bugs.debian.org/552291 [perl #69973] [0abd0d7] Fix a DoS in Unicode processing [CVE-2009-3626]
	DEBPKG:fixes/hppa-thread-eagain - http://bugs.debian.org/554218 make the threads-shared test suite more robust, fixing failures on hppa
	DEBPKG:fixes/crash-on-undefined-destroy - http://bugs.debian.org/564074 [perl #71952] [1f15e67] Fix a NULL pointer dereference when looking for a DESTROY method
	DEBPKG:fixes/tainted-errno - http://bugs.debian.org/574129 [perl #61976] [be1cf43] fix an errno stringification bug in taint mode
	DEBPKG:fixes/safe-upgrade - http://bugs.debian.org/582978 Upgrade Safe.pm to 2.25, fixing CVE-2010-1974
	DEBPKG:fixes/tell-crash - http://bugs.debian.org/578577 [f4817f3] Fix a tell() crash on bad arguments.
	DEBPKG:fixes/format-write-crash - http://bugs.debian.org/579537 [perl #22977] [421f30e] Fix a crash in format/write
	DEBPKG:fixes/arm-alignment - http://bugs.debian.org/289884 [f1c7503] Prevent gcc from optimizing the alignment test away on armel
	DEBPKG:fixes/fcgi-test - Fix a failure in CGI/t/fast.t when FCGI is installed
	DEBPKG:fixes/hurd-ccflags - http://bugs.debian.org/587901 Make hints/gnu.sh append to $ccflags rather than overriding them
	DEBPKG:debian/squelch-locale-warnings - http://bugs.debian.org/508764 Squelch locale warnings in Debian package maintainer scripts
	DEBPKG:fixes/lc-numeric-docs - http://bugs.debian.org/379329 [perl #78452] [903eb63] LC_NUMERIC documentation fixes
	DEBPKG:fixes/lc-numeric-sprintf - http://bugs.debian.org/601549 [perl #78632] [b3fd614] Fix sprintf not to ignore LC_NUMERIC with constants
	DEBPKG:fixes/concat-stack-corruption - http://bugs.debian.org/596105 [perl #78674] [e3393f5] Fix stack pointer corruption in pp_concat() with 'use encoding'
	DEBPKG:fixes/cgi-multiline-header - http://bugs.debian.org/606995 [CVE-2010-2761 CVE-2010-4410 CVE-2010-4411] CGI.pm MIME boundary and multiline header vulnerabilities
	DEBPKG:patchlevel - http://bugs.debian.org/567489 List packaged patches for 5.10.1-17 in patchlevel.h
  Built under linux
  Compiled at Jan  7 2011 13:01:58
  %ENV:
    PERL_LWP_USE_HTTP_10="1"
  @INC:
    /etc/perl
    /usr/local/lib/perl/5.10.1
    /usr/local/share/perl/5.10.1
    /usr/lib/perl5
    /usr/share/perl5
    /usr/lib/perl/5.10
    /usr/share/perl/5.10
    /usr/local/lib/site_perl
    /usr/local/lib/perl/5.10.0
    /usr/local/share/perl/5.10.0
    .

*** Packages of interest status:

Apache2            : -
Apache2::Request   : -
CGI                : 3.43
ExtUtils::MakeMaker: 6.55_02
LWP                : 5.836
mod_perl           : -
mod_perl2          : 2.000004


3. This is the core dump trace: (if you get a core dump):

  [CORE TRACE COMES HERE]

This report was generated by /usr/share/libapache2-mod-perl2/mp2bug on Sat Apr  2 15:59:00 2011 GMT.

-------------8<---------- End Bug Report --------------8<----------




-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libapache2-mod-perl2 depends on:
ii  apache2                2.2.16-6+squeeze1 Apache HTTP Server metapackage
ii  apache2-mpm-prefork [a 2.2.16-6+squeeze1 Apache HTTP Server - traditional n
ii  apache2.2-common       2.2.16-6+squeeze1 Apache HTTP Server common files
ii  libapr1                1.4.2-6           The Apache Portable Runtime Librar
ii  libaprutil1            1.3.9+dfsg-5      The Apache Portable Runtime Utilit
ii  libc6                  2.11.2-10         Embedded GNU C Library: Shared lib
ii  libdb4.8               4.8.30-2          Berkeley v4.8 Database Libraries [
ii  libdevel-symdump-perl  2.08-3            Perl module for inspecting perl's 
ii  libperl5.10            5.10.1-17         shared Perl library
ii  liburi-perl            1.54-2            module to manipulate and access UR
ii  libwww-perl            5.836-1           Perl HTTP/WWW client/server librar
ii  netbase                4.45              Basic TCP/IP networking system
ii  perl [libmime-base64-p 5.10.1-17         Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.1 5.10.1-17         minimal Perl system

Versions of packages libapache2-mod-perl2 recommends:
ii  libapache2-reload-perl        0.10-2     Reload Perl modules when changed o
ii  libbsd-resource-perl          1.2904-1   BSD process resource limit and pri

libapache2-mod-perl2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-perl2. (Sat, 02 Apr 2011 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 02 Apr 2011 19:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: <620550@bugs.debian.org>
Subject: Strace from apache process
Date: Sat, 02 Apr 2011 13:55:44 -0400
[Message part 1 (text/plain, inline)]
Hello, 

The attachments show straces of the apache process. On the server that the tie is failing open() is never called: 

14046 <... nanosleep resumed> 0xbfdc5684) = 0
14046 time(NULL)                        = 1301679908
14046 write(2, "/var/www/session/login: tieres i"..., 65) = 65
14046 dup(17) 

On a working server the open() happens right after the sleep in the perl source finishes: 

13384 <... nanosleep resumed> 0xb698adf4) = 0
13384 time(NULL)                        = 1301679999
13384 open("/www/database/test.gdbm", O_RDONLY) = 18

Thanks,
Keith.

 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 

[Message part 2 (text/html, inline)]
[notworking.strace (application/octet-stream, attachment)]
[working.strace (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-perl2. (Sat, 02 Apr 2011 19:57:03 GMT) Full text and rfc822 format available.

Message #13 received at 620550@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Keith Lawson <keith.lawson@sjhc.london.on.ca>, 620550@bugs.debian.org
Subject: Re: Bug#620550: libapache2-mod-perl2: Perl tie() interface does not work after dist-upgrade from lenny -> squeeze
Date: Sat, 2 Apr 2011 22:23:32 +0300
[Message part 1 (text/plain, inline)]
-=| Keith Lawson, Sat, Apr 02, 2011 at 12:10:05PM -0400 |=-
> After upgrading from lenny to squeeze calls to tie() from code 
> running in mod_perl 2 are failing. 
> 
> The following code works fine from the command line but the tie() fails silently when running in mod_perl 2:
> 
> print STDERR "$0: GDBM_File::VERSION is $GDBM_File::VERSION\n";
> sleep 1;
> my %sec;
> tie(%sec,'GDBM_File',$secdbf,GDBM_READER,0640);
> print STDERR "$0: key: $_\n" foreach keys %sec;
> untie %sec; 
> 
> The tie fails for both GDBM and MLDBM databases. 
> 
> We've been unable to reproduce this error on systems that were installed from the latest squeeze CDs, it only 
> happens on systems that were migrated from lenny to squeeze. 

(a blind shot)
What are the chances that there are some locally installed modules 
(e.g. directly from CPAN) in /usr/local that are used instead of the 
upgraded packaged modules in /usr ?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-perl2. (Sat, 02 Apr 2011 23:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 02 Apr 2011 23:15:06 GMT) Full text and rfc822 format available.

Message #18 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: <620550@bugs.debian.org>
Subject: More testing
Date: Sat, 02 Apr 2011 19:12:36 -0400
> (a blind shot)> What are the chances that there are some locally installed modules > (e.g. directly from CPAN) in /usr/local that are used instead of the > upgraded packaged modules in /usr ?

I do have modules installed from the CPAN shell. I just did: 

mv /usr/local/lib/perl/5.10.0 /usr/local/lib/perl/5.10.0.old
mv /usr/local/share/perl/5.10.0 /usr/local/share/perl/5.10.0.old

and reinstalled the modules I use (starting with Apache2::AuthCookie and dependencies) but 
I'm still getting the same results. Here's my @INC:

@INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .).

I've also tried building mod_perl.so from source using the mod_perl 2 source from apt with no luck. 

Still stumped. 



 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-perl2. (Mon, 04 Apr 2011 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 04 Apr 2011 16:09:03 GMT) Full text and rfc822 format available.

Message #23 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: <620550@bugs.debian.org>
Subject: libapache2-mod-php5 seems to be the problem
Date: Mon, 04 Apr 2011 12:03:21 -0400
I've discovered that I can fix mod_perl 2 by removing libapache2-mod-php5. Looking at the files installed by libapache2-mod-php5 I don't see anything that should break tie() in mod_perl when that package is installed but it definitely is. 

Can this bug report be moved over to libapache2-mod-php5 or should I open a new bug for that package? 

Thanks, 
Keith.



 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-perl2. (Mon, 04 Apr 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 04 Apr 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #28 received at 620550@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Keith Lawson <Keith.Lawson@sjhc.london.on.ca>, 620550@bugs.debian.org
Cc: libapache2-mod-php5@packages.debian.org
Subject: Re: Bug#620550: libapache2-mod-php5 seems to be the problem
Date: Mon, 4 Apr 2011 19:43:37 +0200
[Message part 1 (text/plain, inline)]
reassign 620550 libapache2-mod-php5
thanks

On Mon, 04 Apr 2011 12:03:21 -0400, Keith Lawson wrote:

> I've discovered that I can fix mod_perl 2 by removing libapache2-mod-php5. Looking at the files installed by libapache2-mod-php5 I don't see anything that should break tie() in mod_perl when that package is installed but it definitely is. 

Ok, thanks for checking.
 
> Can this bug report be moved over to libapache2-mod-php5 or should I open a new bug for that package? 

Reassigning.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Bettina Wegner: Für die aus ...
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libapache2-mod-perl2' to 'libapache2-mod-php5'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 18:09:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libapache2-mod-perl2/2.0.4-7. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 18:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Mon, 04 Apr 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 620550@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Keith Lawson <Keith.Lawson@sjhc.london.on.ca>, 620550@bugs.debian.org
Subject: Re: Bug#620550: libapache2-mod-php5 seems to be the problem
Date: Mon, 4 Apr 2011 22:06:14 +0300
-=| Keith Lawson, Mon, Apr 04, 2011 at 12:03:21PM -0400 |=-
> I've discovered that I can fix mod_perl 2 by removing 
> libapache2-mod-php5. Looking at the files installed by 
> libapache2-mod-php5 I don't see anything that should break tie() in 
> mod_perl when that package is installed but it definitely is. 

Is mod-php5 loaded by Apache? Maybe not loading it would also fix the 
issue.

> Can this bug report be moved over to libapache2-mod-php5 or should 
> I open a new bug for that package? 

http://www.debian.org/Bugs/server-control (you need the 'reassign' 
command).

Thanks for your work on the issue!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Mon, 04 Apr 2011 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 04 Apr 2011 19:42:03 GMT) Full text and rfc822 format available.

Message #40 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: <620550@bugs.debian.org>, "Damyan Ivanov" <dmn@debian.org>
Subject: Re: Bug#620550: libapache2-mod-php5 seems to be the problem
Date: Mon, 04 Apr 2011 15:39:15 -0400
>> On 4/4/2011 at  3:06 PM, in message <20110404190614.GK2851@ktnx.net>, Damyan
Ivanov <dmn@debian.org> wrote: 
> -=| Keith Lawson, Mon, Apr 04, 2011 at 12:03:21PM -0400 |=-
>> I've discovered that I can fix mod_perl 2 by removing 
>> libapache2-mod-php5. Looking at the files installed by 
>> libapache2-mod-php5 I don't see anything that should break tie() in 
>> mod_perl when that package is installed but it definitely is. 
> 
> Is mod-php5 loaded by Apache? Maybe not loading it would also fix the 
> issue.
> 

Yes commenting the LoadModule line out of /etc/apache2/mods-enabled/php5.load fixes the issue as well. Unfortunately we need both PHP and mod_perl on these servers though. I'm still trying to figure out what is is about the php5 module that's breaking tie() in code running under mod_perl but haven't had any luck yet. I'm still not sure if this is a mod_perl, mod_php or Apache problem. It's pretty simple to reproduce given this information.

>> Can this bug report be moved over to libapache2-mod-php5 or should 
>> I open a new bug for that package? 
> 
> http://www.debian.org/Bugs/server-control (you need the 'reassign' 
> command).
> 
> Thanks for your work on the issue!


 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Tue, 05 Apr 2011 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 05 Apr 2011 16:18:02 GMT) Full text and rfc822 format available.

Message #45 received at 620550@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: Keith Lawson <Keith.Lawson@sjhc.london.on.ca>, 620550@bugs.debian.org
Cc: Damyan Ivanov <dmn@debian.org>
Subject: Re: [php-maint] Bug#620550: libapache2-mod-php5 seems to be the problem
Date: Tue, 05 Apr 2011 18:04:22 +0200
[Message part 1 (text/plain, inline)]
Hi everyone,

On Mon, 2011-04-04 at 15:39 -0400, Keith Lawson wrote:
> >> On 4/4/2011 at  3:06 PM, in message <20110404190614.GK2851@ktnx.net>, Damyan
> Ivanov <dmn@debian.org> wrote: 
> > -=| Keith Lawson, Mon, Apr 04, 2011 at 12:03:21PM -0400 |=-
> >> I've discovered that I can fix mod_perl 2 by removing 
> >> libapache2-mod-php5. Looking at the files installed by 
> >> libapache2-mod-php5 I don't see anything that should break tie() in 
> >> mod_perl when that package is installed but it definitely is. 
> > 
> > Is mod-php5 loaded by Apache? Maybe not loading it would also fix the 
> > issue.
> > 
> 
> Yes commenting the LoadModule line out of /etc/apache2/mods-enabled/php5.load fixes the issue as well. Unfortunately we need both PHP and mod_perl on these servers though. I'm still trying to figure out what is is about the php5 module that's breaking tie() in code running under mod_perl but haven't had any luck yet. I'm still not sure if this is a mod_perl, mod_php or Apache problem. It's pretty simple to reproduce given this information.

Are we sure this isn't another one of those libdb/libapr breakages?


BR
	Sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Tue, 05 Apr 2011 16:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 05 Apr 2011 16:42:06 GMT) Full text and rfc822 format available.

Message #50 received at 620550@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Sean Finney <seanius@debian.org>, 620550@bugs.debian.org
Cc: Keith Lawson <Keith.Lawson@sjhc.london.on.ca>, Damyan Ivanov <dmn@debian.org>
Subject: Re: [php-maint] Bug#620550: Bug#620550: libapache2-mod-php5 seems to be the problem
Date: Tue, 5 Apr 2011 18:39:24 +0200
> Are we sure this isn't another one of those libdb/libapr breakages?

It would be great if we can recompile everything using libdb-dev (>>
5.1) anyway (see my recent post to debian-release).

O.
-- 
Ondřej Surý <ondrej@sury.org>
http://blog.rfc1925.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Tue, 05 Apr 2011 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 05 Apr 2011 19:45:05 GMT) Full text and rfc822 format available.

Message #55 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: <620550@bugs.debian.org>
Subject: Re: [php-maint] Bug#620550: libapache2-mod-php5 seems to be the problem
Date: Tue, 05 Apr 2011 15:43:24 -0400
> Are we sure this isn't another one of those libdb/libapr breakages?

Our mod_perl code is using GNU DBM, not Berkely DB. 

I've tested building libphp5.so from the php.net source for php-5.3.3 and the problem still persists with my own compiled library.  

I've also tried to get a backtrace after the tie() failure to see if that will provide more info but I'm not very familiar with gdb: 

lhrivid:/opt/src/php-source/php-5.3.3/libs# ps -ef|grep apache
root     26134     1  0 15:34 ?        00:00:00 /usr/sbin/apache2 -k start
www-data 26141 26134  0 15:34 ?        00:00:00 /usr/sbin/apache2 -k start
root     26218  8684  0 15:41 pts/3    00:00:00 grep apache
lhrivid:/opt/src/php-source/php-5.3.3/libs# gdb apache2 26141
GNU gdb (GDB) 7.0.1-debian
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...

warning: The current binary is a PIE (Position Independent Executable), which
GDB does NOT currently support.  Most debugger features will fail if used
in this session.

Reading symbols from /usr/sbin/apache2...Reading symbols from /usr/lib/debug/usr/sbin/apache2-mpm-prefork...done.
(no debugging symbols found)...done.
Attaching to program: /usr/sbin/apache2, process 26141
0xb7878424 in __kernel_vsyscall ()
(gdb) where
#0  0xb7878424 in __kernel_vsyscall ()
#1  0xb77596c8 in ?? ()
#2  0xb780f421 in ?? ()
#3  0xb78e70e2 in ?? ()
#4  0xb78e750e in ?? ()
#5  0xb78e78e2 in ?? ()
#6  0xb78b8fa2 in ?? ()
#7  0xb76a3c76 in ?? ()
#8  0xb78b7c01 in ?? ()
(gdb)

Is there a bug open against libapr that this issue might be related to? 


 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Tue, 05 Apr 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 05 Apr 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #60 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: <620550@bugs.debian.org>
Subject: Working libphp5.so
Date: Tue, 05 Apr 2011 16:40:17 -0400
[Message part 1 (text/plain, inline)]
>I've tested building libphp5.so from the php.net source for php-5.3.3 and 
>the problem still persists with my own compiled library.

Sorry I was wrong there. I actually managed to break my own test script. The shared lib I built *does* work. I've attached the shell script I used to run "configure" and the resulting library can be found at: 

www.sjhc.london.on.ca/libphp5.so

When I replace the Debian copy of libphp5.so with the one above the Perl tie() works.

Hopefully this provides enough information to determine what's not working in the Debian version of the library.
I'm not able to upgrade any of our web servers to squeeze until I get this issue resolved since we use gdbm
databases in mod_perl 2 on all our web servers.

Thank you,
Keith.

 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 

[config.sh (application/x-sh, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Thu, 07 Apr 2011 15:27:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 07 Apr 2011 15:27:46 GMT) Full text and rfc822 format available.

Message #65 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: <620550@bugs.debian.org>, <debian-perl@lists.debian.org>
Subject: Re: Bug #620550 (SOLVED! I think)
Date: Thu, 07 Apr 2011 11:21:11 -0400
[Message part 1 (text/plain, inline)]
>>> On 4/7/2011 at 10:52 AM, in message
<4D9D976A020000AC0002C692@sjhcgwiao2.sjhc.london.on.ca>, "Keith Lawson"
<Keith.Lawson@sjhc.london.on.ca> wrote: 
>>>> On 4/7/2011 at  1:24 AM, in message <20110407052431.GD10067@ktnx.net>, Damyan
> Ivanov <dmn@debian.org> wrote: 
>>[Please excuse the CC in case you are subscribed to debian-perl]
>>-=| Keith Lawson, Wed, Apr 06, 2011 at 03:39:19PM -0400 |=-
>>> I recently opened bug #620550 under libapache2-mod-perl2 and had the 
>>> bug reassigned to libapache2-mod-php5 when I discovered that 
>>> removing mod_php5 fixed the problem. I've spent a lot of time 
>>> troubleshooting the issue and I can't nail down exactly how PHP is 
>>> affecting mod_perl ties. I though I'd look here for some advice on 
>>> providing more details about my problem or to see if any of the 
>>> Debian Perl community has experienced similar issues?
>>> 
>>> Basic summary is ties using GDBM_File do not work for me when the 
>>> Debian mod_php5 library is installed. Removing the Debian package 
>>> for PHP or installing my own version of libphp5.so fixes the 
>>> mod_perl problem. I can't imagine for the life of me how the PHP 
>>> library is breaking Perl. Any suggestions? 
>>
>> There was a suggestion from PHP maintainers that this could be caused 
>> by two modules being compiled against different versions of Berkeley 
>> DB library.
>>
>> What you can try to confirm this is to rebuild libapache2-mod-perl2, 
>> test, then if the problem persists, rebuild libapache2-php5 and test 
>> again.
> 
> I think there's some confusion here between GNU DB (libgdbm.so) and Berkely 
> DB (libdb.so), I'm using
>  libdgbm.so from Perl, not libdb.so. libphp5.so isn't linked against 
> "libdgbm.so" at all because it's build with
>  the flag "--without-gdbm": 
> 
> ldd /usr/lib/apache2/modules/libphp5.so
>         linux-gate.so.1 =>  (0xb7713000)
>         libcrypt.so.1 => /lib/i686/cmov/libcrypt.so.1 (0xb6f72000)
>         libz.so.1 => /usr/lib/libz.so.1 (0xb6f5e000)
>         libonig.so.2 => /usr/lib/libonig.so.2 (0xb6f17000)
>         libssl.so.0.9.8 => /usr/lib/i686/cmov/libssl.so.0.9.8 (0xb6ecd000)
>         libdb-4.8.so => /usr/lib/libdb-4.8.so (0xb6d67000)
>         libqdbm.so.14 => /usr/lib/libqdbm.so.14 (0xb6d1d000)
>         libbz2.so.1.0 => /lib/libbz2.so.1.0 (0xb6d0c000)
>         libpcre.so.3 => /lib/libpcre.so.3 (0xb6cd9000)
>         libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb6cb2000)
>         libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb6cae000)
>         libnsl.so.1 => /lib/i686/cmov/libnsl.so.1 (0xb6c97000)
>         libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0xb6c68000)
>         libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xb6bb6000)
>         libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xb6b92000)
>         libcom_err.so.2 => /lib/libcom_err.so.2 (0xb6b8f000)
>         libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb6a65000)
>         libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb691f000)
>         libcrypto.so.0.9.8 => /usr/lib/i686/cmov/libcrypto.so.0.9.8 
> (0xb67c7000)
>         libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb67ad000)
>         /lib/ld-linux.so.2 (0xb7714000)
>         libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0xb67a6000)
>         libkeyutils.so.1 => /lib/libkeyutils.so.1 (0xb67a3000)
>         libresolv.so.2 => /lib/i686/cmov/libresolv.so.2 (0xb678f000)
> 
> However I did so some more poking around and found that the Perl *Berkely* 
> DB is linked against a different version of libdb: 
> 
> ldd /usr/lib/perl/5.10/auto/DB_File/DB_File.so
>         linux-gate.so.1 =>  (0xb77bd000)
>         libdb-4.7.so => /usr/lib/libdb-4.7.so (0xb764d000)
>         libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb7507000)
>         libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb74ed000)
> 
> I compiled DB_File.so from the CPAN source so it linked to  
> /usr/lib/libdb-4.8.so and as expected that didn't fix the issue. 
> 
> mod_perl.so isn't linked to either DB library so I didn't bother compiling 
> it from source: 
> 
> ldd /usr/lib/apache2/modules/mod_perl.so 
>         linux-gate.so.1 =>  (0xb7755000)
>         libperl.so.5.10 => /usr/lib/libperl.so.5.10 (0xb75ca000)
>         libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb75c6000)
>         libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb759f000)
>         libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb7586000)
>         libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb7440000)
>         libcrypt.so.1 => /lib/i686/cmov/libcrypt.so.1 (0xb740e000)
>         /lib/ld-linux.so.2 (0xb7756000)
> 
> Looking at my notworking.strace above you can see that /usr/lib/libdb-4.8.so 
> is loaded but  /usr/lib/libdb-4.7.so never is. Perl loads 
> /usr/lib/libgdbm.so.3 (GNU DB) here: 
> 
> 14043 open("/usr/lib/perl/5.10/auto/GDBM_File/GDBM_File.so", O_RDONLY) = 13
> 14043 read(13, 
> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\30\0\0004
> \0\0\0"..., 512) = 512
> 14043 fstat64(13, {st_mode=S_IFREG|0644, st_size=40856, ...}) = 0
> 14043 mmap2(NULL, 43692, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 13, 
> 0) = 0xb6429000
> 14043 mmap2(0xb6433000, 4096, PROT_READ|PROT_WRITE, 
> MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 13, 0x9) = 0xb6433000
> 14043 close(13)                         = 0
> 14043 open("/etc/ld.so.cache", O_RDONLY) = 13
> 14043 fstat64(13, {st_mode=S_IFREG|0644, st_size=20934, ...}) = 0
> 14043 mmap2(NULL, 20934, PROT_READ, MAP_PRIVATE, 13, 0) = 0xb6423000
> 14043 close(13)                         = 0
> 14043 access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or 
> directory)
> 14043 open("/usr/lib/libgdbm.so.3", O_RDONLY) = 13
> 

I think I've found the conflict! The Debian version of libphp5.so is built with Qdbm and without Gdbm support.
 When I built my own version of libphp5.so I excluded Qdbm because php wouldn't build with that option
 enabled. 

Here's what I did to build a broken version of libphp5.so: 

1st: create symlink for "depot.h" because PHP's configure looks for it in /usr/include: 
ln -s /usr/include/qdbm/depot.h /usr/include/depot.h
(should this be another bug report??)

- Configure PHP source with attached shell script which now has the build flag "--with-qdbm=/usr". 
- Copy the resulting libphp5.so from libs/libphp5.so to /usr/lib/apache2/modules
- restart apache 

Now my mod_perl 2 ties are broken again. 

Looks like a conflict between Qdbm and Gdbm. PHP 5 in lenny still used Gdbm. What's the chances of convincing the PHP team to switch back to Gdbm? Perhaps there's a more appropriate fix? 

Keith. 


 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 

[config_withqdbm.sh (application/x-sh, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#620550; Package libapache2-mod-php5. (Thu, 07 Apr 2011 15:28:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 07 Apr 2011 15:28:45 GMT) Full text and rfc822 format available.

Message #70 received at 620550@bugs.debian.org (full text, mbox):

From: "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca>
To: "Damyan Ivanov" <dmn@debian.org>
Cc: <620550@bugs.debian.org>, <debian-perl@lists.debian.org>
Subject: Re: Bug #620550
Date: Thu, 07 Apr 2011 10:52:26 -0400
>>> On 4/7/2011 at  1:24 AM, in message <20110407052431.GD10067@ktnx.net>, Damyan
Ivanov <dmn@debian.org> wrote: 
>[Please excuse the CC in case you are subscribed to debian-perl]
>-=| Keith Lawson, Wed, Apr 06, 2011 at 03:39:19PM -0400 |=-
>> I recently opened bug #620550 under libapache2-mod-perl2 and had the 
>> bug reassigned to libapache2-mod-php5 when I discovered that 
>> removing mod_php5 fixed the problem. I've spent a lot of time 
>> troubleshooting the issue and I can't nail down exactly how PHP is 
>> affecting mod_perl ties. I though I'd look here for some advice on 
>> providing more details about my problem or to see if any of the 
>> Debian Perl community has experienced similar issues?
>> 
>> Basic summary is ties using GDBM_File do not work for me when the 
>> Debian mod_php5 library is installed. Removing the Debian package 
>> for PHP or installing my own version of libphp5.so fixes the 
>> mod_perl problem. I can't imagine for the life of me how the PHP 
>> library is breaking Perl. Any suggestions? 
>
> There was a suggestion from PHP maintainers that this could be caused 
> by two modules being compiled against different versions of Berkeley 
> DB library.
>
> What you can try to confirm this is to rebuild libapache2-mod-perl2, 
> test, then if the problem persists, rebuild libapache2-php5 and test 
> again.

I think there's some confusion here between GNU DB (libgdbm.so) and Berkely DB (libdb.so), I'm using
 libdgbm.so from Perl, not libdb.so. libphp5.so isn't linked against "libdgbm.so" at all because it's build with
 the flag "--without-gdbm": 

ldd /usr/lib/apache2/modules/libphp5.so
        linux-gate.so.1 =>  (0xb7713000)
        libcrypt.so.1 => /lib/i686/cmov/libcrypt.so.1 (0xb6f72000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb6f5e000)
        libonig.so.2 => /usr/lib/libonig.so.2 (0xb6f17000)
        libssl.so.0.9.8 => /usr/lib/i686/cmov/libssl.so.0.9.8 (0xb6ecd000)
        libdb-4.8.so => /usr/lib/libdb-4.8.so (0xb6d67000)
        libqdbm.so.14 => /usr/lib/libqdbm.so.14 (0xb6d1d000)
        libbz2.so.1.0 => /lib/libbz2.so.1.0 (0xb6d0c000)
        libpcre.so.3 => /lib/libpcre.so.3 (0xb6cd9000)
        libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb6cb2000)
        libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb6cae000)
        libnsl.so.1 => /lib/i686/cmov/libnsl.so.1 (0xb6c97000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0xb6c68000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xb6bb6000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xb6b92000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0xb6b8f000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb6a65000)
        libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb691f000)
        libcrypto.so.0.9.8 => /usr/lib/i686/cmov/libcrypto.so.0.9.8 (0xb67c7000)
        libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb67ad000)
        /lib/ld-linux.so.2 (0xb7714000)
        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0xb67a6000)
        libkeyutils.so.1 => /lib/libkeyutils.so.1 (0xb67a3000)
        libresolv.so.2 => /lib/i686/cmov/libresolv.so.2 (0xb678f000)

However I did so some more poking around and found that the Perl *Berkely* DB is linked against a different version of libdb: 

ldd /usr/lib/perl/5.10/auto/DB_File/DB_File.so
        linux-gate.so.1 =>  (0xb77bd000)
        libdb-4.7.so => /usr/lib/libdb-4.7.so (0xb764d000)
        libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb7507000)
        libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb74ed000)

I compiled DB_File.so from the CPAN source so it linked to  /usr/lib/libdb-4.8.so and as expected that didn't fix the issue. 

mod_perl.so isn't linked to either DB library so I didn't bother compiling it from source: 

ldd /usr/lib/apache2/modules/mod_perl.so 
        linux-gate.so.1 =>  (0xb7755000)
        libperl.so.5.10 => /usr/lib/libperl.so.5.10 (0xb75ca000)
        libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb75c6000)
        libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb759f000)
        libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb7586000)
        libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb7440000)
        libcrypt.so.1 => /lib/i686/cmov/libcrypt.so.1 (0xb740e000)
        /lib/ld-linux.so.2 (0xb7756000)

Looking at my notworking.strace above you can see that /usr/lib/libdb-4.8.so is loaded but  /usr/lib/libdb-4.7.so never is. Perl loads /usr/lib/libgdbm.so.3 (GNU DB) here: 

14043 open("/usr/lib/perl/5.10/auto/GDBM_File/GDBM_File.so", O_RDONLY) = 13
14043 read(13, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\30\0\0004\0\0\0"..., 512) = 512
14043 fstat64(13, {st_mode=S_IFREG|0644, st_size=40856, ...}) = 0
14043 mmap2(NULL, 43692, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 13, 0) = 0xb6429000
14043 mmap2(0xb6433000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 13, 0x9) = 0xb6433000
14043 close(13)                         = 0
14043 open("/etc/ld.so.cache", O_RDONLY) = 13
14043 fstat64(13, {st_mode=S_IFREG|0644, st_size=20934, ...}) = 0
14043 mmap2(NULL, 20934, PROT_READ, MAP_PRIVATE, 13, 0) = 0xb6423000
14043 close(13)                         = 0
14043 access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
14043 open("/usr/lib/libgdbm.so.3", O_RDONLY) = 13

Keith.

 --------------------------------------------------------------------------------

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in  reliance upon, this information by persons or entities other  than the intended recipient is prohibited. If you received this  in error, please contact the sender and delete the material from any computer. 





Changed Bug title to 'PHP qdbm linkage affecting gdbm in other packages' from 'libapache2-mod-perl2: Perl tie() interface does not work after dist-upgrade from lenny -> squeeze' Request was from "Keith Lawson" <Keith.Lawson@sjhc.london.on.ca> to control@bugs.debian.org. (Fri, 08 Apr 2011 14:10:23 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libapache2-mod-php5' to 'libqdbm14'. Request was from Keith Lawson <keith@nowhere.ca> to control@bugs.debian.org. (Fri, 22 Apr 2011 17:39:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'gdbm_ symbol conflicts' from 'PHP qdbm linkage affecting gdbm in other packages' Request was from Keith Lawson <keith@nowhere.ca> to control@bugs.debian.org. (Fri, 22 Apr 2011 17:39:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'gdbm_ symbol conflicts in QDBM break GDBM in other packages' from 'gdbm_ symbol conflicts' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 18:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#620550; Package libqdbm14. (Sat, 23 Apr 2011 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to KURASHIKI Satoru <lurdan@gmail.com>:
Extra info received and forwarded to list. (Sat, 23 Apr 2011 05:09:03 GMT) Full text and rfc822 format available.

Message #83 received at 620550@bugs.debian.org (full text, mbox):

From: KURASHIKI Satoru <lurdan@gmail.com>
To: 620550@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, Keith Lawson <Keith.Lawson@sjhc.london.on.ca>
Subject: Re: Processed: retitle 620550 to gdbm_ symbol conflicts in QDBM break GDBM in other packages
Date: Sat, 23 Apr 2011 14:05:44 +0900
hi,

I've understand this issue as follows. Is it right?

qdbm(1.8.77) exports gdbm wrapper symbols:
 gdbm_close@Base 1.8.74
 gdbm_delete@Base 1.8.74
 gdbm_errnoptr@Base 1.8.74
 gdbm_exists@Base 1.8.74
 gdbm_fdesc@Base 1.8.74
 gdbm_fetch@Base 1.8.74
 gdbm_firstkey@Base 1.8.74
 gdbm_nextkey@Base 1.8.74
 gdbm_open2@Base 1.8.74
 gdbm_open@Base 1.8.74
 gdbm_reorganize@Base 1.8.74
 gdbm_setopt@Base 1.8.74
 gdbm_store@Base 1.8.74
 gdbm_strerror@Base 1.8.74
 gdbm_sync@Base 1.8.74
 gdbm_version@Base 1.8.74

and they override gdbm(1.8.3) symbols themselves with some incompatibility:
 gdbm_store@Base 1.8.3
 gdbm_strerror@Base 1.8.3
 gdbm_sync@Base 1.8.3
 gdbm_version@Base 1.8.3

But I'm not sure how to fix this problem.
(Is it valid to downgrade qdbm's versions lower than 1.8.3 ...?)

regards,
-- 
KURASHIKI Satoru




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Sat, 23 Apr 2011 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Lawson <keith@nowhere.ca>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Sat, 23 Apr 2011 17:48:03 GMT) Full text and rfc822 format available.

Message #88 received at 620550@bugs.debian.org (full text, mbox):

From: Keith Lawson <keith@nowhere.ca>
To: <620550@bugs.debian.org>, <lurdan@gmail.com>
Cc: <gregoa@debian.org>
Subject: Re: Processed: retitle 620550 to gdbm_ symbol conflicts in QDBM break GDBM in other packages
Date: Sat, 23 Apr 2011 13:35:35 -0400
[Message part 1 (text/plain, inline)]
  

> But I'm not sure how to fix this problem.
> (Is it valid to
downgrade qdbm's versions lower than 1.8.3 ...?) 

The problem I've
encountered is specifically with "gdbm_open". The version exported from
QDBM overwrites the GDBM version for code running under mod_perl because
PHP in Debian is now built with QDBM. gdbm_open() is failing silently
when our mod_perl code tries to tie() to a GDBM database. Even if this
is a fixable bug in the QDBM version of gdbm_open I'm not sure it's
desirable to be using symbols out of different libraries without even
realizing it. 

Would it be appropriate to split QDBM into a package
with GDBM compatibility and one without? To get around the problem so we
can upgrade our web servers we removed all gdbm_ functions from QDBM and
installed a local replacement for the Debian package. I can provide
patches if you want to go this route. 

  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Fri, 29 Apr 2011 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Satoru KURASHIKI <lurdan@gmail.com>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Fri, 29 Apr 2011 17:42:03 GMT) Full text and rfc822 format available.

Message #93 received at 620550@bugs.debian.org (full text, mbox):

From: Satoru KURASHIKI <lurdan@gmail.com>
To: Keith Lawson <keith@nowhere.ca>
Cc: 620550@bugs.debian.org, gregoa@debian.org
Subject: Re: Processed: retitle 620550 to gdbm_ symbol conflicts in QDBM break GDBM in other packages
Date: Sat, 30 Apr 2011 02:39:30 +0900
hi,

On Sun, Apr 24, 2011 at 2:35 AM, Keith Lawson <keith@nowhere.ca> wrote:
> Would it be appropriate to split QDBM into a package with GDBM compatibility
> and one without? To get around the problem so we can upgrade our web servers
> we removed all gdbm_ functions from QDBM and installed a local replacement
> for the Debian package. I can provide patches if you want to go this route.

I will try to split libqdbm14 to 2 versions and control them with
Conflicts/Provides.
I'm glad if you send me your patches.

regards,
-- 
KURASHIKI Satoru




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Sat, 30 Apr 2011 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Lawson <keith@nowhere.ca>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Sat, 30 Apr 2011 19:39:04 GMT) Full text and rfc822 format available.

Message #98 received at 620550@bugs.debian.org (full text, mbox):

From: Keith Lawson <keith@nowhere.ca>
To: Satoru KURASHIKI <lurdan@gmail.com>
Cc: <620550@bugs.debian.org>, <gregoa@debian.org>
Subject: Re: Processed: retitle 620550 to gdbm_ symbol conflicts in QDBM break GDBM in other packages
Date: Sat, 30 Apr 2011 15:35:17 -0400
[Message part 1 (text/plain, inline)]
On Sat, 30 Apr 2011 02:39:30 +0900, Satoru KURASHIKI wrote:
> hi,
>
> On Sun, Apr 24, 2011 at 2:35 AM, Keith Lawson wrote:
>
>> Would it be appropriate to split QDBM into a package with GDBM
>> compatibility and one without? To get around the problem so we can
>> upgrade our web servers we removed all gdbm_ functions from QDBM and
>> installed a local replacement for the Debian package. I can provide
>> patches if you want to go this route.
>
> I will try to split libqdbm14 to 2 versions and control them with
> Conflicts/Provides.
> I'm glad if you send me your patches.
>
> regards,

The attached patches to configure.in and Makefile.in add the configure 
flag "--disable-gdbm" which allows you to build QDBM without the GDBM 
emulation that leads to the symbol conflict. This is from QDBM v 1.8.77. 
I have tested building the library but haven't put it in place and 
tested on a squeeze system where the conflict exists yet.

I've never created any autoconf configuration files before today so if 
I've done this incorrectly please point me in the right direction and I 
will send other patches.

Thanks,
Keith
[Makefile.in.patch (text/plain, attachment)]
[configure.in.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Mon, 08 Aug 2011 13:00:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Mon, 08 Aug 2011 13:00:52 GMT) Full text and rfc822 format available.

Message #103 received at 620550@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Keith Lawson <keith@nowhere.ca>
Cc: <debian-devel@lists.debian.org>, 620550@bugs.debian.org
Subject: Re: How to close bug #620550?
Date: Mon, 8 Aug 2011 13:58:27 +0100
Keith Lawson writes ("How to close bug #620550?"):
> I'm looking for advice on how to get bug #620550[1] closed. This 
> thread[2] on php-maint is the only record I can find of why PHP was 
> switched from GDBM to QDBM. That change introduced gdbm_ symbol 
> conflicts that end up breaking GDBM functionality in other packages 
> (mod_perl2 in my case). I provided patches (which may or may not be the 
> correct approach) to enable building QDBM without the "GDBM emulation" 
> but haven't seen any activity on the bug in months. On all our 
> production squeeze servers we've had to resort to building QDBM from 
> source and replacing the shared lib from the Debian package with our own 
> which isn't ideal. Should that bug be flagged as RC since it breaks 
> functionality in other packages? It would be nice to ensure this problem 
> doesn't exist in the next Debian release if it can't be fixed in stable.

Yes.  That bug is definitely RC.  IMO it should be cloned into two
bugs:
  1. qdbm should not provide gdbm emulation (except perhaps in
     a separate, separately-installable, .so, although why you'd
     want to use that in Debian is far from clear)
     This bug is RC.
  2. Unless someone knows why PHP is using qdbm, it should IMO be
     switched back to gdbm.  This is not RC I think.

Keith, would you care to send the appropriate control messages to the
BTS to do this ?  I would do it myself but I'm not entirely sure of
the right package names and version numbers and I think you are more
likely to get that right.  I have CC'd the report.

I'm not sure what to do about stable.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Mon, 08 Aug 2011 13:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Satoru KURASHIKI <lurdan@gmail.com>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Mon, 08 Aug 2011 13:42:26 GMT) Full text and rfc822 format available.

Message #108 received at 620550@bugs.debian.org (full text, mbox):

From: Satoru KURASHIKI <lurdan@gmail.com>
To: debian-devel@lists.debian.org, 620550@bugs.debian.org
Cc: Keith Lawson <keith@nowhere.ca>, Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: Re: How to close bug #620550?
Date: Mon, 8 Aug 2011 22:40:52 +0900
hi,

I'm sorry that I've stopped its progress.

On Mon, Aug 8, 2011 at 9:58 PM, Ian Jackson
<ijackson@chiark.greenend.org.uk> wrote:
> Keith Lawson writes ("How to close bug #620550?"):
>> I'm looking for advice on how to get bug #620550[1] closed. This
>> thread[2] on php-maint is the only record I can find of why PHP was
>> switched from GDBM to QDBM. That change introduced gdbm_ symbol
>> conflicts that end up breaking GDBM functionality in other packages
>> (mod_perl2 in my case). I provided patches (which may or may not be the
>> correct approach) to enable building QDBM without the "GDBM emulation"
>> but haven't seen any activity on the bug in months. On all our
>> production squeeze servers we've had to resort to building QDBM from
>> source and replacing the shared lib from the Debian package with our own
>> which isn't ideal. Should that bug be flagged as RC since it breaks
>> functionality in other packages? It would be nice to ensure this problem
>> doesn't exist in the next Debian release if it can't be fixed in stable.

> Yes.  That bug is definitely RC.  IMO it should be cloned into two
> bugs:
>  1. qdbm should not provide gdbm emulation (except perhaps in
>     a separate, separately-installable, .so, although why you'd
>     want to use that in Debian is far from clear)
>     This bug is RC.

I want to make libqdbm14 dropping gdbm emulation, and add a new
exclusive libqdbm14-gdbm package to provide compatibility for people who
uses its gdbm emulation. But, I have trouble with packaging to satisfy
 dpkg-gensymbols, and stop packaging there...

I will ask for help at mentros about how to treat symbols in such case.

regards,
-- 
KURASHIKI Satoru




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Mon, 08 Aug 2011 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@seanius.net>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Mon, 08 Aug 2011 14:33:03 GMT) Full text and rfc822 format available.

Message #113 received at 620550@bugs.debian.org (full text, mbox):

From: sean finney <seanius@seanius.net>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: Keith Lawson <keith@nowhere.ca>, debian-devel@lists.debian.org, 620550@bugs.debian.org
Subject: Re: How to close bug #620550?
Date: Mon, 8 Aug 2011 16:31:40 +0200
On Mon, Aug 08, 2011 at 01:58:27PM +0100, Ian Jackson wrote:
> Keith Lawson writes ("How to close bug #620550?"):
>   2. Unless someone knows why PHP is using qdbm, it should IMO be
>      switched back to gdbm.  This is not RC I think.

I refer you, good sir, to the fine changelog for reference:

	php5 (5.1.6-4) unstable; urgency=high

	   [sean finney]
		  * no longer build against GPL'd gdbm library (closes: #390452).






Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Mon, 08 Aug 2011 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Mon, 08 Aug 2011 16:00:04 GMT) Full text and rfc822 format available.

Message #118 received at 620550@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: sean finney <seanius@seanius.net>
Cc: Keith Lawson <keith@nowhere.ca>, debian-devel@lists.debian.org, 620550@bugs.debian.org
Subject: Re: How to close bug #620550?
Date: Mon, 8 Aug 2011 16:55:56 +0100
sean finney writes ("Re: How to close bug #620550?"):
> On Mon, Aug 08, 2011 at 01:58:27PM +0100, Ian Jackson wrote:
> > Keith Lawson writes ("How to close bug #620550?"):
> >   2. Unless someone knows why PHP is using qdbm, it should IMO be
> >      switched back to gdbm.  This is not RC I think.
> 
> I refer you, good sir, to the fine changelog for reference:
> 
> 	php5 (5.1.6-4) unstable; urgency=high
> 
> 	   [sean finney]
> 		  * no longer build against GPL'd gdbm library (closes: #390452).

Oh, thanks.  (I infer that PHP has a non-GPL-compatible licence.)

Which only leaves the one bug, which I think is a bug in qdbm and
should be RC.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Mon, 08 Aug 2011 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Mon, 08 Aug 2011 17:18:03 GMT) Full text and rfc822 format available.

Message #123 received at 620550@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: debian-devel@lists.debian.org, 620550@bugs.debian.org
Subject: Re: How to close bug #620550?
Date: Mon, 08 Aug 2011 19:14:47 +0200
]] Ian Jackson 

| sean finney writes ("Re: How to close bug #620550?"):
| > On Mon, Aug 08, 2011 at 01:58:27PM +0100, Ian Jackson wrote:
| > > Keith Lawson writes ("How to close bug #620550?"):
| > >   2. Unless someone knows why PHP is using qdbm, it should IMO be
| > >      switched back to gdbm.  This is not RC I think.
| > 
| > I refer you, good sir, to the fine changelog for reference:
| > 
| > 	php5 (5.1.6-4) unstable; urgency=high
| > 
| > 	   [sean finney]
| > 		  * no longer build against GPL'd gdbm library (closes: #390452).
| 
| Oh, thanks.  (I infer that PHP has a non-GPL-compatible licence.)

No, it just has modules that links against OpenSSL.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Severity set to 'critical' from 'important' Request was from Keith Lawson <keith@nowhere.ca> to control@bugs.debian.org. (Tue, 09 Aug 2011 13:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Tue, 09 Aug 2011 14:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Lawson <keith@nowhere.ca>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Tue, 09 Aug 2011 14:45:08 GMT) Full text and rfc822 format available.

Message #130 received at 620550@bugs.debian.org (full text, mbox):

From: Keith Lawson <keith@nowhere.ca>
To: <debian-devel@lists.debian.org>
Cc: <620550@bugs.debian.org>
Subject: Re: How to close bug #620550?
Date: Tue, 09 Aug 2011 10:18:46 -0400
[Message part 1 (text/plain, inline)]
  

On Mon, 8 Aug 2011 16:31:40 +0200, sean finney wrote: 

> On Mon,
Aug 08, 2011 at 01:58:27PM +0100, Ian Jackson wrote:
> 
>> Keith Lawson
writes ("How to close bug #620550?"): 2. Unless someone knows why PHP is
using qdbm, it should IMO be switched back to gdbm. This is not RC I
think.
> 
> I refer you, good sir, to the fine changelog for
reference:
> 
> php5 (5.1.6-4) unstable; urgency=high
> 
> [sean
finney]
> * no longer build against GPL'd gdbm library (closes:
#390452).

Sorry I didn't check the change bug reports for an
explanation for the switch. 

I'm not licensing expert by any means, so
this means any application that links to GPLed code can't also link to
code that's under the ASL? That seems rather restrictive. 

I change the
bug severity to RC. If licensing is an issue I guess the only option is
a version of QDBM in Debian without the GDBM emulation. I'm not sure how
that's going to work if you want to install libapache2-mod-php5 and use
GDBM though. I used the patches I sent for building QDBM without the
gdbm_ symbols but that effectively breaks any GDBM functionality in PHP
apps if PHP isn't linked against GDBM anymore. 

Thanks, 
Keith. 
  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Fri, 12 Aug 2011 13:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Lawson <keith@nowhere.ca>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Fri, 12 Aug 2011 13:09:08 GMT) Full text and rfc822 format available.

Message #135 received at 620550@bugs.debian.org (full text, mbox):

From: Keith Lawson <keith@nowhere.ca>
To: <debian-mentors@lists.debian.org>
Cc: <620550@bugs.debian.org>
Subject: Re: Please advice about symbols versioning (was Re: How to close bug #620550?
Date: Fri, 12 Aug 2011 09:05:48 -0400
On Thu, 11 Aug 2011 18:50:12 +0200, Jakub Wilk wrote:

> * KURASHIKI Satoru , 2011-08-11, 08:44:
>
>>> I want to make libqdbm14 dropping gdbm emulation, and add a new
>>> exclusive libqdbm14-gdbm package to provide compatibility for 
>>> people
>>> who uses its gdbm emulation. But, I have trouble with packaging to
>>> satisfy dpkg-gensymbols, and stop packaging there...
>> cf. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=620550 [1]
>> Current version of libqdbm14 (1.8.77-4) has gdbm emulation, and it 
>> will
>> be dropped as, 1) libqdbm14 -> libqdbm15 (w/o gdbm emulation)
>> libqdbm14-gdbm (w/ gdbm emulation) 2) libqdbm14 -> libqdbm14 (w/ 
>> gdbm
>> emulation) libqdbm15-??? (w/o gdbm emulation) 3) libqdbm14 -> 
>> libqdbm15
>> (w/o gdbm emulation) libqdbm15-gdbm (w/ gdbm emulation)
>
> Don't use libqdbm15. Upstream might (and probably will!) use such 
> SONAME
> for their own purposes in the future.
>
> Are there actually any packages in Debian using gdbm symbols provided 
> by
> libqdbm? If there are none, I'd just drop the symbols without 
> changing
> package name or SONAME, and wouldn't bother creating a separate 
> package.

Won't that break PHP code if people are using GDBM in their 
applications? Even if Debian packages don't use GDBM there's no 
guarantee that people's applications don't. How can you provide GDBM in 
PHP without linking against GDBM and removing the GDBM symbols from QDBM 
which libphp5.so is linked against?





Links:
------
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=620550
[2] mailto:lurdan@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Sat, 13 Aug 2011 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Satoru KURASHIKI <lurdan@gmail.com>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Sat, 13 Aug 2011 15:00:04 GMT) Full text and rfc822 format available.

Message #140 received at 620550@bugs.debian.org (full text, mbox):

From: Satoru KURASHIKI <lurdan@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 620550@bugs.debian.org
Subject: Re: Please advice about symbols versioning (was Re: How to close bug #620550?
Date: Sat, 13 Aug 2011 23:57:03 +0900
hi,

Thanks for your comment.

On Fri, Aug 12, 2011 at 10:05 PM, Keith Lawson <keith@nowhere.ca> wrote:
>> Don't use libqdbm15. Upstream might (and probably will!) use such SONAME
>> for their own purposes in the future.
>>
>> Are there actually any packages in Debian using gdbm symbols provided by
>> libqdbm? If there are none, I'd just drop the symbols without changing
>> package name or SONAME, and wouldn't bother creating a separate package.

I tried to check this (with apt-rdepends -r and apt-source and grep...), and
I think that no debian package use qdbm's gdbm emulation.
(There is no "include <hovel.h>".)

> Won't that break PHP code if people are using GDBM in their applications?
> Even if Debian packages don't use GDBM there's no guarantee that people's
> applications don't. How can you provide GDBM in PHP without linking against
> GDBM and removing the GDBM symbols from QDBM which libphp5.so is linked
> against?

I guess there is no PHP code which using GDBM code. If there is, they
had falled into troubles after php switched to link from gdbm to qdbm, because
PHP source package also doesn't include hovel.h.

I think that I should care the people who has been using qdbm and gdbm interface
for their published/non-published programs.
(provide alternative package, only notice, and so on..)

regards,
-- 
KURASHIKI Satoru




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Thu, 25 Aug 2011 12:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Satoru KURASHIKI <lurdan@gmail.com>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Thu, 25 Aug 2011 12:57:06 GMT) Full text and rfc822 format available.

Message #145 received at 620550@bugs.debian.org (full text, mbox):

From: Satoru KURASHIKI <lurdan@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 620550@bugs.debian.org
Subject: Re: Bug#620550: Please advice about symbols versioning (was Re: How to close bug #620550?
Date: Thu, 25 Aug 2011 21:55:13 +0900
hi,

On Sat, Aug 13, 2011 at 11:57 PM, Satoru KURASHIKI <lurdan@gmail.com> wrote:
> I guess there is no PHP code which using GDBM code. If there is, they
> had falled into troubles after php switched to link from gdbm to qdbm, because
> PHP source package also doesn't include hovel.h.
>
> I think that I should care the people who has been using qdbm and gdbm interface
> for their published/non-published programs.
> (provide alternative package, only notice, and so on..)

I've just uploaded updated qdbm package to mentors.debian.net, and asked for its
review to my sponsor.
(I simply drop symbols, and don't touch its versions.)

I'm glad if you try this package to check it (will solve the problem).

regards,
-- 
KURASHIKI Satoru




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#620550; Package libqdbm14. (Tue, 30 Aug 2011 14:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Lawson <keith@nowhere.ca>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Tue, 30 Aug 2011 14:57:11 GMT) Full text and rfc822 format available.

Message #150 received at 620550@bugs.debian.org (full text, mbox):

From: Keith Lawson <keith@nowhere.ca>
To: <debian-mentors@lists.debian.org>, <lurdan@gmail.com>
Cc: <steve.vanderburg@lhsc.on.ca>, <620550@bugs.debian.org>
Subject: Re: Bug#620550: Please advice about symbols versioning (was Re: How to close bug #620550?
Date: Tue, 30 Aug 2011 10:48:57 -0400
> On Sat, Aug 13, 2011 at 11:57 PM, Satoru KURASHIKI wrote:
>
>> I guess there is no PHP code which using GDBM code. If there is, 
>> they
>> had falled into troubles after php switched to link from gdbm to 
>> qdbm,
>> because PHP source package also doesn't include hovel.h. I think 
>> that I
>> should care the people who has been using qdbm and gdbm interface 
>> for
>> their published/non-published programs. (provide alternative 
>> package,
>> only notice, and so on..)
>
> On Thu, 25 Aug 2011 21:55:13 +0900, Satoru KURASHIKI wrote:
> I've just uploaded updated qdbm package to mentors.debian.net, and 
> asked
> for its
> review to my sponsor.
> (I simply drop symbols, and don't touch its versions.)
>
> I'm glad if you try this package to check it (will solve the 
> problem).
>

I just built the package from the git source on mentors.debian.net, 
installed it on the server we first encountered the problem on and our 
mod_perl code that uses GDBM is working fine now.

Thanks for your attention to this bug.

Keith.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 14 Oct 2011 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to KURASHIKI Satoru <lurdan@gmail.com>:
You have taken responsibility. (Sun, 16 Oct 2011 17:54:09 GMT) Full text and rfc822 format available.

Notification sent to Keith Lawson <keith.lawson@sjhc.london.on.ca>:
Bug acknowledged by developer. (Sun, 16 Oct 2011 17:54:10 GMT) Full text and rfc822 format available.

Message #157 received at 620550-close@bugs.debian.org (full text, mbox):

From: KURASHIKI Satoru <lurdan@gmail.com>
To: 620550-close@bugs.debian.org
Subject: Bug#620550: fixed in qdbm 1.8.78-1
Date: Sun, 16 Oct 2011 17:50:42 +0000
Source: qdbm
Source-Version: 1.8.78-1

We believe that the bug you reported is fixed in the latest version of
qdbm, which is due to be installed in the Debian FTP archive:

libqdbm++-dev_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm++-dev_1.8.78-1_amd64.deb
libqdbm-dev_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm-dev_1.8.78-1_amd64.deb
libqdbm-java_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm-java_1.8.78-1_amd64.deb
libqdbm-perl_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm-perl_1.8.78-1_amd64.deb
libqdbm-ruby1.8_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm-ruby1.8_1.8.78-1_amd64.deb
libqdbm-ruby1.9.1_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm-ruby1.9.1_1.8.78-1_amd64.deb
libqdbm14_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm14_1.8.78-1_amd64.deb
libqdbm3++c2_1.8.78-1_amd64.deb
  to main/q/qdbm/libqdbm3++c2_1.8.78-1_amd64.deb
libxqdbm-dev_1.8.78-1_amd64.deb
  to main/q/qdbm/libxqdbm-dev_1.8.78-1_amd64.deb
libxqdbm3c2_1.8.78-1_amd64.deb
  to main/q/qdbm/libxqdbm3c2_1.8.78-1_amd64.deb
qdbm-cgi_1.8.78-1_amd64.deb
  to main/q/qdbm/qdbm-cgi_1.8.78-1_amd64.deb
qdbm-doc_1.8.78-1_all.deb
  to main/q/qdbm/qdbm-doc_1.8.78-1_all.deb
qdbm-util_1.8.78-1_amd64.deb
  to main/q/qdbm/qdbm-util_1.8.78-1_amd64.deb
qdbm_1.8.78-1.debian.tar.gz
  to main/q/qdbm/qdbm_1.8.78-1.debian.tar.gz
qdbm_1.8.78-1.dsc
  to main/q/qdbm/qdbm_1.8.78-1.dsc
qdbm_1.8.78.orig.tar.gz
  to main/q/qdbm/qdbm_1.8.78.orig.tar.gz
ruby-qdbm_1.8.78-1_amd64.deb
  to main/q/qdbm/ruby-qdbm_1.8.78-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620550@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
KURASHIKI Satoru <lurdan@gmail.com> (supplier of updated qdbm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 13 Oct 2011 08:42:07 +0900
Source: qdbm
Binary: libqdbm14 qdbm-doc libqdbm-dev qdbm-util qdbm-cgi libxqdbm3c2 libxqdbm-dev libqdbm3++c2 libqdbm++-dev libqdbm-perl ruby-qdbm libqdbm-ruby1.8 libqdbm-ruby1.9.1 libqdbm-java
Architecture: source all amd64
Version: 1.8.78-1
Distribution: unstable
Urgency: low
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Changed-By: KURASHIKI Satoru <lurdan@gmail.com>
Description: 
 libqdbm++-dev - QDBM Database Libraries for C++ [development] (transitional packa
 libqdbm-dev - QDBM Database Libraries [development]
 libqdbm-java - QDBM Database Libraries for Java
 libqdbm-perl - QDBM Database Libraries for Perl
 libqdbm-ruby1.8 - QDBM Database Libraries for Ruby 1.8 (transitional package)
 libqdbm-ruby1.9.1 - QDBM Database Libraries for Ruby 1.9.1 (transitional package)
 libqdbm14  - QDBM Database Libraries without GDBM wrapper[runtime]
 libqdbm3++c2 - QDBM Database Libraries for C++ [runtime] (transitional package)
 libxqdbm-dev - QDBM Database Libraries for C++ [development]
 libxqdbm3c2 - QDBM Database Libraries for C++ [runtime]
 qdbm-cgi   - QDBM Database CGI commands
 qdbm-doc   - QDBM Database Documentation
 qdbm-util  - QDBM Database Utilities
 ruby-qdbm  - QDBM Database Libraries for Ruby
Closes: 592058 620550
Changes: 
 qdbm (1.8.78-1) unstable; urgency=low
 .
   * Upstream homepage moved.
   * New Upstream release.
   * New Standards-Version: 3.9.2
   * fix misplaced library symlinks.
   * fix typo of package description. (Closes: #592058)
   * libqdbm14: drop gdbm wrapping. (Closes: #620550)
   * update ruby packaging for wheezy.
   * debian/copyright: migrate DEP-5 format with fixing imcomplete listings.
     Thanks to Bart Martens's review at mentors.d.n.
Checksums-Sha1: 
 6878728548e18ff24f1529528efd3b5cd758f564 2572 qdbm_1.8.78-1.dsc
 8c2ab938c2dad8067c29b0aa93efc6389f0e7076 1015429 qdbm_1.8.78.orig.tar.gz
 1b0a0ac64aa11c0b214d5b9f7e55d80891f5c4f8 18002 qdbm_1.8.78-1.debian.tar.gz
 87ea01346d577fdf39b1ab102701d27ac068f18e 344300 qdbm-doc_1.8.78-1_all.deb
 d19df141cb296371a8108504ba30c4859cafec2d 153024 libqdbm14_1.8.78-1_amd64.deb
 92c18281261ffa5bd891845ebf0018685c58dc18 234658 libqdbm-dev_1.8.78-1_amd64.deb
 997fc6b8d09c2a07863d107105cd6d2ca342fcd3 93016 qdbm-util_1.8.78-1_amd64.deb
 42ddf527e9e990a0e9b547d331ca7c5b7557b12c 38718 qdbm-cgi_1.8.78-1_amd64.deb
 e44f2f4c711fe9729d5c1807e6270afd046b52b9 43754 libxqdbm3c2_1.8.78-1_amd64.deb
 b9863e53d049e10bfbdcda52972d72237be0dd68 55586 libxqdbm-dev_1.8.78-1_amd64.deb
 3a21104f182a27fa95356f622ebf7be095e92d5f 8870 libqdbm3++c2_1.8.78-1_amd64.deb
 eac3fc2897f69e2fdcea0e68ffa0fb1c4d09f027 9094 libqdbm++-dev_1.8.78-1_amd64.deb
 218d8eecb530d48c239258d9ef13773d1c177815 52720 libqdbm-perl_1.8.78-1_amd64.deb
 5314c704ff17316b478915e84376c34d404ef194 51940 ruby-qdbm_1.8.78-1_amd64.deb
 e331e035ab01e9541648c172ad3010b7941525fb 8868 libqdbm-ruby1.8_1.8.78-1_amd64.deb
 a3957e51c7d59142e3c61a1ba6fd4ad5adb35cf8 8876 libqdbm-ruby1.9.1_1.8.78-1_amd64.deb
 e8d4f1526420b1e0c60b825702f0267ffb4a67d6 47544 libqdbm-java_1.8.78-1_amd64.deb
Checksums-Sha256: 
 8ab7b1482cb7232ccc896ffc5fa39d80cd9d7ad0e2c95ef7e109dd849d5f468d 2572 qdbm_1.8.78-1.dsc
 b466fe730d751e4bfc5900d1f37b0fb955f2826ac456e70012785e012cdcb73e 1015429 qdbm_1.8.78.orig.tar.gz
 1844560c7e7c1f23d8b1ba23ec72fe9273a4d19ed70bc3ac256ddf81fe278f6b 18002 qdbm_1.8.78-1.debian.tar.gz
 a24258105dbd0565c4b7b5101df680ef6d56bb0d61bd152d5afa819ce9b3c6b5 344300 qdbm-doc_1.8.78-1_all.deb
 acc28e09371920c09d875b47475ba76385c3d9b822d9d464f5416ad1c5f28d86 153024 libqdbm14_1.8.78-1_amd64.deb
 de1bdd5a55594ca452e7eb2a73cada535b0ebf778648f275b23088eef4fcecc0 234658 libqdbm-dev_1.8.78-1_amd64.deb
 1f174c350bb8e6025a4e2487ebaac3cb305c0ac1d4a7bd630d55d1d577fe7aa4 93016 qdbm-util_1.8.78-1_amd64.deb
 2d5271c8d3b9b601fcf08e2dc26286df5338d6705cd5f601967c6ef9b2b69074 38718 qdbm-cgi_1.8.78-1_amd64.deb
 7a2075b12656d32e28c7d8e3d1ee198a742a864a52c1a1c23fd26871d5dd1333 43754 libxqdbm3c2_1.8.78-1_amd64.deb
 f8984b1f04ed71694fd5435a7f57240aa39514d27ae2489393953d22cf54c4ae 55586 libxqdbm-dev_1.8.78-1_amd64.deb
 6d818df11a605a93ecd50ae9ccb90647328732e7c3837c17e3294bf23b8510d7 8870 libqdbm3++c2_1.8.78-1_amd64.deb
 3de1cbf129fcb3eccb835b04b4fe629480046f698f083c520bfc9e0b9ce6b0ce 9094 libqdbm++-dev_1.8.78-1_amd64.deb
 fb7868efbb7c8fd5bbdd2dda2db9e3681203e692743511c2c45c19ac67fabd17 52720 libqdbm-perl_1.8.78-1_amd64.deb
 267ba227b76e80ce54e9005ee57cd6762e5d168901f6419dd3fd9dd64d3bef29 51940 ruby-qdbm_1.8.78-1_amd64.deb
 677e49fec361e78b2fa330eb2d82f2fc2e097c8012bf89c97c28c40d9af56f01 8868 libqdbm-ruby1.8_1.8.78-1_amd64.deb
 6205be161a655a9758c6a220b5a6c9c07568aa80c1bb1add069a51452477b24a 8876 libqdbm-ruby1.9.1_1.8.78-1_amd64.deb
 4d9ede4a31787e9307504115f10aff1d761674af968aa524002a372fcb0836ea 47544 libqdbm-java_1.8.78-1_amd64.deb
Files: 
 165c0a7eb67067b874f4e3cc5ac6056f 2572 libs optional qdbm_1.8.78-1.dsc
 66b3bd69a651316b8d6adc2f21cf3225 1015429 libs optional qdbm_1.8.78.orig.tar.gz
 9b9460afcde79e1d10ef3f647d44f188 18002 libs optional qdbm_1.8.78-1.debian.tar.gz
 c77a36e3f11dea854cfc6141ed849fab 344300 doc optional qdbm-doc_1.8.78-1_all.deb
 0c88639478456fc60cd116c2bdf0209b 153024 libs optional libqdbm14_1.8.78-1_amd64.deb
 476a37ed04b33dec9690c9bfaab1e50a 234658 libdevel optional libqdbm-dev_1.8.78-1_amd64.deb
 eeaa00c40fe29d487266f6d16741fa20 93016 database optional qdbm-util_1.8.78-1_amd64.deb
 2cacc1594f1a61248a8da680fffc8888 38718 database optional qdbm-cgi_1.8.78-1_amd64.deb
 d91db40650c0e1bd7ddfc5d042988828 43754 libs optional libxqdbm3c2_1.8.78-1_amd64.deb
 520c62840a77c9fb2e0bbd5028011400 55586 libdevel optional libxqdbm-dev_1.8.78-1_amd64.deb
 315d729d178893f29a4ce5e38b0ec1c0 8870 libs optional libqdbm3++c2_1.8.78-1_amd64.deb
 347718fb3cb16d74124365d159c79407 9094 libdevel optional libqdbm++-dev_1.8.78-1_amd64.deb
 b6168ab58a38d78c3ecd03fd4fd771e6 52720 perl optional libqdbm-perl_1.8.78-1_amd64.deb
 45aab9c00341caae64644def96b4e0ec 51940 ruby optional ruby-qdbm_1.8.78-1_amd64.deb
 1ae29a7e1312bd40b88f0396be57a2e3 8868 ruby optional libqdbm-ruby1.8_1.8.78-1_amd64.deb
 e428b7bb765b03754532074607a3851f 8876 ruby optional libqdbm-ruby1.9.1_1.8.78-1_amd64.deb
 f5846c332e82779b4b107b78e9cb56cb 47544 java optional libqdbm-java_1.8.78-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOmFlkAAoJEDIkf7tArR+m2rIP/2rFELG1P/kTSMyu5bUVYpqq
orfuIQwPes3b9XERFpNoOzxdRWqF8+ZLnnvn2MhjkPFUl3sSpjJw5leC38NASykx
xywCT0zebhBDXWlW800nED9mwqSLDBtXLAYWLpxXpD3wbFgI/n3TXSv4pOceCVxq
3TBxwiDSVPAAKFHIwp83ehAnm4Ej5CiqiK4DHxumiL+jSMLRcSSZDBOhJcA6huca
oNc7KHSmLy8AJPACtyyT9hQ0ELIQuFMaPeFQK6EZld/9Rx3WrSEyzZRMiQJ6K+kc
JBsRJfLlwbpXHJOTv5QdY0J1OL+NabE9fMPUpWLUagX2NpazWLowZ96txxVQddq9
Vdhg2Jbxf2iqVIK5uwAhqo7o1n+4ty7TXRlEqblrLcSt60DFryKh94FkdlyafEcd
j4JlE3fyuwM0sBam8lE0Vhl2vO1r5CYWR3y/UQmjcqGRHHKF5yA0IIFFd+0+7ycQ
l0D3zvwLAaHNoafG2Vquo9kLNmq/bFF6gcfAN1KkcE3J3WKGc7EfWAE9ZL5iCE2f
Aq0/Hf6dukcpG8RG3bff3Op4N3SHoowHkG8g9IHFv2sFPSkMamwFf6Lc6ryjaK0o
BiXIbmG+WBIxzEi09vupaB1yUu24vdfSWRGvRtTDOQXlom5zSU4M3btfI7vB8t6w
jG7Nj9FtxUM817QpMAjP
=H523
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:59:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:24:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.